Bug 705749 - guest cann't get any of dest host hot-plug device after migrated
guest cann't get any of dest host hot-plug device after migrated
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2011-05-18 06:50 EDT by FuXiangChun
Modified: 2013-01-09 18:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 20:04:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FuXiangChun 2011-05-18 06:50:09 EDT
Description of problem:
after migrated successfully,dest host hot-plug any device via monitor guest can not get it. 

Version-Release number of selected component (if applicable):


How reproducible:
# rpm -qa|grep kvm
kvm-83-232.el5
# uname -r
2.6.18-260.el5



Steps to Reproduce:
1.
src host:
/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -name 61 -smp 2 -m 2G -uuid `uuidgen` -boot c -drive file=/mnt/rhel61.qcow2,if=ide,cache=none,boot=on,format=qcow2,werror=stop -net none -notify all -balloon none  -monitor stdio -vnc :1
dest host:
/usr/libexec/qemu-kvm -no-hpet -usbdevice tablet -rtc-td-hack -name 61 -smp 2 -m 2G -uuid `uuidgen` -boot c -drive file=/mnt/rhel61.qcow2,if=ide,cache=none,boot=on,format=qcow2,werror=stop -net none -notify all -balloon none  -monitor stdio -vnc :2 -incoming tcp:0:9000

2.migrate -d tcp:0:9000
3. hot-plug a nic
(qemu)  host_net_add tap vlan=5,script=/etc/qemu-ifup
(qemu) pci_add pci_addr=auto nic vlan=5,macaddr=1C:C1:DE:14:13:1c,model=virtio
  
Actual results:
guest can not get it

Expected results:
guest get it


Additional info:
info network can find nic info, only guest can not find it. guest is rhel6.1.

Note You need to log in before you can comment on or make changes to this bug.